#ifdef RTEMS_LIBC

/*
 *  File:       rtemslibc.c,v
 *  Project:    PixelFlow
 *  Created:    94/12/7
 *  Revision:   1.3
 *  Last Mod:   1995/08/23 19:24:38
 *
 *  COPYRIGHT (c) 1994 by Division Incorporated
 *
 *  To anyone who acknowledges that this file is provided "AS IS"
 *  without any express or implied warranty:
 *      permission to use, copy, modify, and distribute this file
 *      for any purpose is hereby granted without fee, provided that
 *      the above copyright notice and this notice appears in all
 *      copies, and that the name of Division Incorporated not be
 *      used in advertising or publicity pertaining to distribution
 *      of the software without specific, written prior permission.
 *      Division Incorporated makes no representations about the
 *      suitability of this software for any purpose.
 *
 *  Description:
 *      Implementation of hooks for the original RTEMS libc
 *
 *  TODO:
 *
 *  NOTE:
 *      RTEMS original libc does not support reentrancy.
 *
 *  rtemslibc.c,v 1.3 1995/08/23 19:24:38 joel Exp
 */

#include <rtems.h>

#include "libcsupport.h"
#include "internal.h"

#include <stdlib.h>             /* for free() */

extern void _HL_init(void);

void
libc_init(int reentrant)
{
    _HL_init();                 /* init RTEMS libc-classic */
}

/*
 *  RTEMS Exit Implementation
 *
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  rtemslibc.c,v 1.3 1995/08/23 19:24:38 joel Exp
 */

#include <rtems.h>
#include "libcsupport.h"           /* need libc_delete() */

/*
 *  Function:   _exit
 *  Created:    94/12/10
 *
 *  Description:
 *      Called from exit() after it does atexit() processing and stdio fflush's
 *
 *      called from bottom of exit() to really delete the task.
 *      If we are using reentrant libc, then let the delete extension
 *      do all the work, otherwise if a shutdown is in progress,
 *      then just do it.
 *
 *  Parameters:
 *      exit status
 *
 *  Returns:
 *      does not return
 *
 *  Side Effects:
 *
 *  Notes:
 *
 *
 *  Deficiencies/ToDo:
 *
 *
 */

void _exit(int status)
{
    rtems_shutdown_executive(status);
}

#endif
